#include "../lode/lodepng.h"
#include "YlebmpClass.h"
#include "YlerowClass.h"
#include "YlePageClass.h"
#include <iostream>
#include <string>
#include <stdlib.h>
#include <stdio.h>

using namespace std;
    
    YLEpage::YLEpage(std::vector<unsigned int> image,unsigned int w,unsigned int h):YLEbmp(image,w,h) {;
    };
    
    
    YLEpage::YLEpage(std::string filename):YLEbmp(filename) {;
    };
    
    
    // Methods preparePage();
    
    void YLEpage::preparePage() {;
        keepOnlyOneColor(PNGimage::CFROMCOLOR,PNGimage::CWHITE,PNGimage::CBLACK);
    //s="tulos.png";
        cleanDusts(PNGimage::CBLACK,PNGimage::CBLUE,PNGimage::CWHITE);
        //save("Page.png");
        splitRows();
    };
    
    int YLEpage::numberOfRows() {;
        return (int)height/38;
    }
    
    int YLEpage::splitRows(){
        int i=0;
        int rowheight;
        int rownum;
        char ss[500];
        
        rownum=numberOfRows();
        row.resize(rownum);
        rowheight=height/rownum;
        for(i=0;i<rownum;i++) {
            row[i]=new YLErow(intimage,width,height);
            sprintf(ss,"Testrow%i.png",i+1);
            row[i]->crop(0,i*rowheight,width,i*rowheight+rowheight);
            if(PNSClass::debug!=0) {
                row[i]->save(ss);
            }
        }
        return rownum;
    }
    
    YLErow * YLEpage::getRow(int i) {
        if((i>=0)&&(i<numberOfRows())) return row[i];
        return NULL;
    }
