#include "PNSClass.h"
//#include "../lode/lodepng.h"
#include "PNGimageClass.h"
//#include <iostream>
//#include <string>
#include <stdlib.h>

#ifndef YLEBMP_CLASS
#define YLEBMP_CLASS

//using namespace std;



class YLEbmp : public PNGimage
{
protected:
    double italick;
    double italicb;
    double italickdelta;
    double italicbdelta;
    int isitalic;
    int marginleft;
    int marginright;
    
    vector<double> avgx;
    vector<double> avgy;
    int avglen;// = 0;

    vector<PNSClass *> pns;
    int pnslen;
    
    // Protected methods
    void PaintChars();

    bool isPixelsX(int x,unsigned int color);

    
    void calcMinOfSquare(unsigned int fromcolor,unsigned int tocolor,int x0,int y0,int x1,int y1);
   
    void calcCharsAvgs(unsigned int fromcolor,unsigned int tocolor,unsigned int tocolor2);
    
public:
    static constexpr double NOITALICK = 0.3333333333333333333;//0.337203;

    // Public constructors
    YLEbmp(std::string filename);
        
    YLEbmp(std::vector<unsigned int> image,unsigned int w,unsigned int h);
   
    // Public methods
    void cleanDusts(unsigned int fromcolor, unsigned int tocolor, unsigned int bgcolor);

    int makeItalicToNormalBmp(unsigned int bgcolor);
    
    int isItalic(); // 0 == unknown, 1 <= Italic, -1 >= Normal
    
    void createPNSlist();

    PNSClass *getPNS(int nro);
    
    int getPNSlen();
    
};

#endif
