#!/bin/bash
#echo "Toimii..."
declare -i nro
nro="1"
rm -r testrunning
mkdir testrunning
cp testimgs/* testrunning/.
cd testrunning
rm Test*.png

#../TestPNGimageClass tuleekoCore.png TestPNGimageClass1.png tuleekoCore.png TestPNGimageClass2.png TestPNGimageClass3.png TestPNGimageClassPaintMethod.png
#exit
echo "PNGimageClass.cpp:n testaaminen alkaa tästä..."

# Tässä testataan kuvan koon muutoksia ja viivojen vetoja
../TestPNGimageClass tuleekoCore.png TestPNGimageClass1.png tuleekoCore.png TestPNGimageClass2.png TestPNGimageClass3.png TestPNGimageClassPaintMethod.png

test1=`md5sum TestPNGimageClass1.png`
#echo $test1;
if [ "$test1" = "395f78a95ba87700aa741960728e6bab  TestPNGimageClass1.png" ]
then 
echo "$nro:Läpäisi"
else
echo "$nro:ei läpäissyt"
fi

# Tässä testataan vain yhden värin säilyttämistä, ja kuvanuudelleen lataamista ja tallentamista.
nro="$nro+1"
#echo "$nro"
test2=`md5sum TestPNGimageClass2.png`
if [ "$test2" = "2644bfce0232056340be64e20fe687be  TestPNGimageClass2.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi

# Tässä testataan trimWidth-funktiota, ja näyttää toimivan.
nro="$nro+1"
test3=`md5sum TestPNGimageClass3.png`
if [ "$test3" = "cef31b28baa6a17fe92464fb778b639a  TestPNGimageClass3.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi


# Tässä testataan paint-funktiota, ja näyttää toimivan.
nro="$nro+1"
test4=`md5sum TestPNGimageClassPaintMethod.png`
if [ "$test4" = "d479331986ffedf811cba30b0d220be7  TestPNGimageClassPaintMethod.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi

#Tähän loppui TestPNGimageClass-ohjelman testit


# Tästä alkaa TestPNGimageClassCopyImg:n testit.
../TestPNGimageClassCopyImg tuleekoCore2.png tallentuuko.png 5 20 TestPNGimageClassCopyImg.png

# Tässä testataan paint-funktiota, ja näyttää toimivan.
nro="$nro+1"
test5=`md5sum TestPNGimageClassCopyImg.png`
if [ "$test5" = "7f91e83ac867f5055dfffcef300d3084  TestPNGimageClassCopyImg.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi

# Tässä testataan paint-funktiota, ja näyttää toimivan.
../TestPNGimageClassCropTest tuleekoCore.png TestPNGimageClassCropTest1.png 10 15 70 50 
nro="$nro+1"
test6=`md5sum TestPNGimageClassCropTest1.png`
if [ "$test6" = "0fda2bd0a5ac56277b85d7f6a245f5fd  TestPNGimageClassCropTest1.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi


# Tässä testataan paint-funktiota, ja näyttää toimivan.
../TestPNGimageClassCropTest uusikuva2.png TestPNGimageClassCropTest2.png 70 700 10 15 
nro="$nro+1"
test7=`md5sum TestPNGimageClassCropTest2.png`
if [ "$test7" = "d93ef124f1bd1d3d011ef8d9de1b6dcf  TestPNGimageClassCropTest2.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi

# Tässä testataan YLEbmpClass:ia , ja näyttää toimivan.
echo 
echo "YLEbmpClass.cpp:n testaaminen alkaa tästä..."
../TestYLEImageClassCopyImg tuleekoCore.png TestYLEImagecleanDusts.png
nro="$nro+1"
test8=`md5sum TestYLEImagecleanDusts.png`
if [ "$test8" = "7edc3ab3183fc61f6ccb419779424a68  TestYLEImagecleanDusts.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi

# Tässä testataan YLEbmpClass:ia , ja näyttää toimivan.
echo 
echo "YLEpage luokan testaaminen alkaa tästä..."
../TestYLEpageClassImg tuleekoCore.png TestYLEpagePrepare.png
nro="$nro+1"
test9=`md5sum TestYLEpagePrepare.png`
if [ "$test9" = "7edc3ab3183fc61f6ccb419779424a68  TestYLEpagePrepare.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi


# Tässä testataan YLEbmpClass:ia , ja näyttää toimivan.
echo 
echo "YLEbmp luokan Italic to Normal testi ..."
../TestYLEbmpClassImg 
nro="$nro+1"
test10=`md5sum TestNoItalic.png`
if [ "$test10" = "9ea94ec8b89731fc8a9cfedcf27c626c  TestNoItalic.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi

# Tässä testataan YLEbmpClass:ia , ja näyttää toimivan.
#echo 
#echo "YLErow luokan testi ..."
#./TestYLErowClassImg
#nro="$nro+1"
#test11=`md5sum `
#if [ "$test11" = "" ]
#then 
#echo "$nro:Läpäisi"
#else 
#echo "$nro:ei läpäissyt"
#fi

# Tässä testataan PNS-luokkaa.
echo 
echo "PNS luokan testi ..."
../TestPNSClass 20 15 30 15 13 15 >TestPNS.txt.png
nro="$nro+1"
test12=`md5sum TestPNS.txt.png`
if [ "$test12" = "3cb3367c9bbd3403b7399a5f287ac378  TestPNS.txt.png" ]
then 
echo "$nro:Läpäisi"
else 
echo "$nro:ei läpäissyt"
fi







nro="$nro+1"

