#include <iostream>
#include <string>
#include <stdlib.h>
#include <cmath>
#include "PNSClass.h"

using namespace std;

/*class PNSClass // : public PNGimage
{
protected:
    double italick;
    double italicb;
    double italickdelta;
    double italicbdelta;
    int isitalic;
    
    vector<double> avgx;
    vector<double> avgy;
    int avglen;// = 0;
    
    // Protected methods
   
public:/**/
    //static const double NOITALICK = 0.3333333333333333333;//0.337203;

    // Public constructors
    int PNSClass::debug;
    
    PNSClass::PNSClass(std::vector<double> avgxx,std::vector<double>avgyy,int avglenn) {
        int i,n;
        double sumy,sumx,sumx2,sumy2,sumxy;
        double a,b;
        double teldaA2,teldaB2;
        //isitalic=0;
        sumy=0;sumx=0;sumx2=0;sumy2=0;sumxy=0;
        a=0;b=0;i=0;n=0;;
        for(int i=0;i<avglenn;i++) {
            n++;
            sumx=sumx+avgxx[i];//parseFloat(T[idx[i]]);
            sumy=sumy+avgyy[i];
            sumx2=sumx2+avgxx[i]*avgxx[i];
            sumy2=sumy2+avgyy[i]*avgyy[i];
            sumxy=sumxy+avgxx[i]*avgyy[i];
        }
        if (n>=2) {
            italick=((sumx2*sumy-sumx*sumxy)/((n*sumx2)-(sumx*sumx)));
            italicb=((n*sumxy-sumx*sumy)/(n*sumx2-sumx*sumx));
        } else {
            italick=5000000;
            italicb=5000000;
        }
        if (n>=3) { 
            italicbdelta=sqrt(1.0/(n-2)*((n*sumy2-sumy*sumy)/(n*sumx2-sumx*sumx)-b*b));
            italickdelta=sqrt((italicbdelta)*(italicbdelta)*(sumx/n*sumx/n));
        } else {
            italicbdelta=-1000;
            italickdelta=-1000;
        //italick=a;
        //italicb=b;
        }
    }

    //int PNSClass::isItalic() {
    //    return isitalic;
    //}

    double PNSClass::getItalick() {
        return italick;
    }
    
    double PNSClass::getItalicb() {
        return italicb;
    }
    
    double PNSClass::getItalickdelta() {
        return italickdelta;
    }
        
    double PNSClass::getItalicbdelta() {
        return italicbdelta;
    }
    
