#include "../lode/lodepng.h"
//#include "YlebmpClass.h"
#include "YlerowClass.h"
#include <iostream>
#include <string>
#include <stdlib.h>
#include <stdio.h>



using namespace std;

    YLErow::YLErow(std::string pngfilename):YLEbmp(pngfilename)//:PNGimage(pngfilename) 
    {
        ; 
    };

    YLErow::YLErow(std::vector<unsigned int> image,unsigned int w,unsigned int h):YLEbmp(image,w,h) {
        //parent(image,w,h);
    };


    YLEbmp *YLErow::getWord(int i) {
        if((i<numberOfWords(PNGimage::CWHITE)) && (i>=0)) {
            if(PNSClass::debug!=0) {
                std::cout << "RETURN WORD[i]\n";
            }
            return word[i];
        } else return NULL;
    }
    
    int YLErow::setWord(int i,int j) {
        int num=numberOfWords(PNGimage::CWHITE);
        if((i<num) && (i>=0) && (j<num) && (j>=0)) {
            word[i]=word[j];//,row->getWord(k));
            return 0;
        };
        return -1;
    }
    
    void YLErow::deleteWord(int i) {
        int num=numberOfWords(PNGimage::CWHITE);
        if((i>=0) && (i<num)) {
            delete word[i];
            for(;i<num-1;i++) {
                word[i]=word[i+1];
            }
            word.resize(word.size()-1);
        }
    }
    
    int YLErow::splitWords() {
        return numberOfWords(PNGimage::CWHITE);
    }
    
    int YLErow::numberOfWords(unsigned int bgcolor) {
        int num=0;
        int i,j,k;
        int isword=0;
        char ss[500];
        vector <int> words;
        trimWidth(bgcolor);
        if(PNSClass::debug!=0) {
            save("Testrowpohja.png");
        }
        num=0;
        //std::cout << "WORDSIZE=" << word.size() << "\n";
        if(word.size()==0) {
            if(PNSClass::debug!=0) {
                std::cout << "WORDSIZE=0\n";
            }
            words.resize(10000);
            words[num]=0;
            num++;
            for(i=0;i<width;i++) {
                k=0;
                for(j=0;j+i<width;j++) {
                    if(!isPixelsX(j+i,bgcolor))
                        break;
                }
                i=i+j;
                //k=0;
                for(j=0;j+i<width;j++) {
                    if(isPixelsX(j+i,bgcolor)) {
                        break;
                    }
                }
                if((j>9)||(j+i==width)) {
                    words[num]=i;
                    num++;
                }
                i=i+j;
                j=0;
            }
            if(PNSClass::debug!=0) {
                std::cout << "numwords" << num << "\n";
                for(i=0;i<num;i++) {
                    std::cout << words[i] << "=x\n";
                }
            }
            word.resize(num-1);
            leftmargin.resize(num-1);
            for(j=1;j<num;j++) {
                //Tähän tehdään sanojen vektori
                word[j-1]=new YLEbmp(intimage,width,height);
                word[j-1]->crop(words[j-1],0,words[j],height);
            }
            if(PNSClass::debug!=0) {
                for(j=0;j<word.size();j++) {
                    sprintf(ss,"Testword%i.png",j+1);
                    word[j]->save(ss);
                }
            }
            if(PNSClass::debug!=0) {
                std::cout << word.size() << "WORDSIZE\n";
            }
            return num-1;
        } else return word.size();
    }
